Bug 459263 - AsynchIO.cpp does not handle "No route to host" error (RHEL4)
AsynchIO.cpp does not handle "No route to host" error (RHEL4)
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
urgent Severity medium
: 1.0.1
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On: 457913
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-15 09:35 EDT by Gordon Sim
Modified: 2008-10-06 14:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 14:59:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-08-15 09:35:04 EDT
+++ This bug was initially created as a clone of Bug #457913 +++

I think this is from the broker...

terminate called after throwing an instance of 'qpid::Exception'
  what():  No route to host (qpid/sys/posix/AsynchIO.cpp:305)

This is from my program...

2008-aug-04 02:16:55 error Exception in client dispatch thread: Connection closed by broker
terminate called after throwing an instance of 'qpid::ConnectionException'
  what():  Connection closed by broker

And this is from the broker...

[1]+  Aborted                 (core dumped) ~condor/qpid.INSTALL/sbin/qpidd --no-data-dir --no-module-dir --auth no --port 15672
Aborted

Seems AsynchIO.cpp is not handling all the errors it should.

--- Additional comment from gsim@redhat.com on 2008-08-05 08:29:06 EDT ---

Fixed by r682685 on trunk and r682688 on qpid.0-10

--- Additional comment from jross@redhat.com on 2008-08-05 16:46:10 EDT ---

Here's another error that went to the bottom of that if ladder:

 Aug  5 16:19:50 mrg2 qpidd[10116]: 2008-aug-05 16:19:50 critical Daemon startup failed: Connection timed out (qpid/sys/posix/AsynchIO.cpp:298) 

Line 298 is the QPID_POSIX_CHECK(rc) line at rev 676581.  I was using the 1.0 rpms.

This is reproducible by setting up a client listening on a queue on a broker, then cutting the network out and waiting, presumably, for the timeout.

Note that this problem *is* apparently addressed by the change at 682688.

--- Additional comment from mfarrellee@redhat.com on 2008-08-05 16:56:00 EDT ---

I believe I hit this by connecting to the broker with qpid-tool over the VPN and then having the VPN disconnect (overnight). So a similar situation to what Justin encountered.
Comment 2 Frantisek Reznicek 2008-09-16 09:58:26 EDT
RHTS test MRG_Messaging/qpid_asynchio_fails_on_network_failure_bz457913 proves that No route to host issue is solved now (->VERIFIED)
Comment 4 errata-xmlrpc 2008-10-06 14:59:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0867.html

Note You need to log in before you can comment on or make changes to this bug.